## `spring:theme`

### org.springframework.web.servlet.tags.ThemeTag

`spring:theme (since 1.0)`
General information
Custom tag to look up a theme message in the scope of this page. Messages are looked up using the ApplicationContext's ThemeSource, and thus should support internationalization. Regards an HTML escaping setting, either on this tag instance, the page level, or the web.xml level. If "code" isn't set or cannot be resolved, "text" will be used as default message.
Attributes
code
The code (key) to use when looking up the message. If code is not provided, the text attribute will be used.
required: no
el-support: yes
arguments
Set optional message arguments for this tag, as a comma-delimited String (each String argument can contain JSP EL), an Object array (used as argument array), or a single Object (used as single argument).
required: no
el-support: yes
text
Default text to output when a message for the given code could not be found. If both text and code are not set, the tag will output `null`.
required: no
el-support: yes
var
The string to use when binding the result to the page, request, session or application scope. If not specified, the result gets outputted to the writer (directly to the JSP i.e.).
required: no
el-support: yes
scope
The scope to use when exporting the result to a variable. This attribute is only used when `var` is also set. Possible values are `page`, `request`, `session` and `application`.
required: no
el-support: yes
htmlEscape
Set HTML escaping for this tag, as boolean value. Overrides the default HTML escaping setting for the current page.
required: no
el-support: yes
javaScriptEscape
Set JavaScript escaping for this tag, as boolean value. Default is false.
required: no
el-support: yes
Variables
If the `var` argument is specified, the resolved message will be exported to the scope specified by the `scope` argument.
Also have a look at
the `spring:htmlEscape` tag, which allows you to set the default HTML escape value for the current page
the `Theme` interface to learn more about themes
the `ThemeSource` interface to see how themes are resolved